/*选择日期*/
.getDataBg{
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
    position: fixed;
    left: 0;
    top: 0;
    z-index: 100;
    transition: opacity 0.4s;
    opacity: 0;
}
.getDataBox{
    width: 100%;
    position: fixed;
    left: 0;
    background-color: #fff;
    box-shadow: -5px 0 5px rgba(0,0,0,0.3);
    z-index: 101;
    transition: bottom 0.4s;
    bottom: -270px;
}
.slideIn{
    display: block !important;
}
.slideIn .getDataBox{
    animation: slideIn 0.4s;
    -webkit-animation: slideIn 0.4s;
    bottom: 0;
}
.slideOut .getDataBox{
    animation: slideOut 0.4s;
    -webkit-animation: slideOut 0.4s;
    bottom: -400px;
}

.slideIn .getDataBg{
    opacity: 1;
}
.slideOut .getDataBg{
    opacity: 0;
}

.getDataBox .choiceDataTitle{
    height: .8rem;
    background-color: #f2f2f2;
}
.getDataBox .choiceDataTitle button{
    height: 100%;
    padding: 0 1.333rem;
    color: #F23030;
    background: none;
    border: 0;
    -webkit-tap-highlight-color: rgba(0,0,0,0.2);
    font:.26rem "Microsoft Yahei", Verdana, Arial, Helvetica, sans-serif;
}
.getDataBox .dataContent{
    width: 100%;
    margin: .4rem 0;
    height: 120px;
    overflow: hidden;
    position: relative;
}

.getDataBox .dataContent:before{
    content: "";
    width: 100%;
    height: 40px;
    background: -webkit-linear-gradient(top, rgba(255,255,255,1), rgba(255,255,255,0));
    position: absolute;
    left: 0;
    top: 0;
    z-index: 10;
    pointer-events: none;
}
.getDataBox .dataContent:after{
    content: "";
    width: 100%;
    height: 40px;
    background: -webkit-linear-gradient(bottom, rgba(255,255,255,1), rgba(255,255,255,0));
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 10;
    pointer-events: none;
}
.getDataBox .dataContent .checkeData{
    width: 100%;
    height: 40px;
    position: absolute;
    left: 0;
    top: 40px;
}
.getDataBox .dataContent .checkeData:before,
.getDataBox .dataContent .checkeData:after{
    content: "";
    width: 100%;
    height: 1px;
    background-color: #ccc;
    position: absolute;
    left: 0;
    top: 0;
    transform: scaleY(0.5);
    -webkit-transform: scaleY(0.5);
}
.getDataBox .dataContent .checkeData:after{
    top: auto;
    bottom: 0;
}

#datawrapper,
#yearwrapper,
#monthwrapper,
#daywrapper{
    width: 33.3%;
    height: 100%;
    position: absolute;
    top: 0;
}
#datawrapper{
    width: 100%;
}
#yearwrapper{
    left: 0;
}
#datawrapper{
    left: 0;
}
#daywrapper{
    right: 0;
}
#monthwrapper{
    left: 33.3%;
}
#yearwrapper ul{
    margin-left: 40%;
}
#daywrapper ul{
    margin-right: 40%;
}
#datawrapper ul li,
#yearwrapper ul li,
#monthwrapper ul li,
#daywrapper ul li{
    height: 40px;
    line-height: 40px;
    font-size: .26rem;
    text-align: center;
    list-style: none;
}

@keyframes slideIn{
    0%{bottom: -270px;}
    100%{bottom: 0;}
}
@-webkit-keyframes slideIn{
    0%{bottom: -270px;}
    100%{bottom: 0;}
}

@keyframes slideOut{
    0%{bottom: 0;}
    100%{bottom: -270px;}
}
@-webkit-keyframes slideOut{
    0%{bottom: 0;}
    100%{bottom: -270px;}
}